WelcomeFilter (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.servlets

## Class WelcomeFilter

- java.lang.Object
- - org.eclipse.jetty.servlets.WelcomeFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class WelcomeFilter
      extends Object
      implements javax.servlet.Filter

  Welcome Filter This filter can be used to server an index file for a directory when no index file actually exists (thus the web.xml mechanism does not work). This filter will dispatch requests to a directory (URLs ending with /) to the welcome URL determined by the "welcome" init parameter. So if the filter "welcome" init parameter is set to "index.do" then a request to "/some/directory/" will be dispatched to "/some/directory/index.do" and will be handled by any servlets mapped to that URL. Requests to "/some/directory" will be redirected to "/some/directory/".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WelcomeFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WelcomeFilter

          public WelcomeFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)

      Specified by:
        `init` in interface `javax.servlet.Filter`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                      javax.servlet.ServletResponse response,
                      javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.